﻿//
// WpfCSarp
//
// Copyright (c) 2017 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System.Windows;

namespace WpfCSharp
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click_true(object sender, RoutedEventArgs e)
        {
            this.IsThreeStateCheckBox.IsChecked = true;
            this.IsTwoStateCheckBox.IsChecked = true;
        }

        private void Button_Click_false(object sender, RoutedEventArgs e)
        {
            this.IsThreeStateCheckBox.IsChecked = false;
            this.IsTwoStateCheckBox.IsChecked = false;
        }

        private void Button_Click_null(object sender, RoutedEventArgs e)
        {
            this.IsThreeStateCheckBox.IsChecked = null;
            this.IsTwoStateCheckBox.IsChecked = null;
        }
    }
}
